Package twisted :: Package trial :: Module remote

[show private | hide private]
[frames | no frames]

## Module twisted.trial.remote

Remote reporting for Trial.

For reporting test results in a seperate process.

Classes
`DecodeReport` |
`DemoRemoteReporter` |
`JellyReporter` | I report results as a Banana-encoded Jelly stream.
`NullTransport` | Transport to /dev/null.
`OneWayBanana` |
`TrialProcessProtocol` |
`_Demo` | Demonstrate trial.remote by spawning trial in a subprocess and displaying results.

Function Summary
| ``demo`()` Make a .tap which will demonstrate trial.remote.

Variable Summary
`int` | `False`
`MetaInterface` | `IRemoteReporter`
`_Feature` | `nested_scopes`
`tuple` | `StringTypes`
`int` | `True`

Function Details

### demo()

Make a .tap which will demonstrate trial.remote.

Variable Details

### False

  Type:
    `int`
  Value:

        0

### IRemoteReporter

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.trial.remote.IRemoteReporter'>

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### StringTypes

  Type:
    `tuple`
  Value:

        (<type 'str'>, <type 'unicode'>)

### True

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Thu May 8 13:19:05 2003 | http://epydoc.sf.net